package com.example.andersb.intentswithdata;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;


public class FirstActivity extends Activity {

    public static final String NAME = "NAME";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_first);
    }

    private static final int REQUEST_CODE = 14593;

    public void sendButtonClicked(View view) {
        EditText editTextName = (EditText)findViewById(R.id.editTextName);
        String name = editTextName.getText().toString();
        Intent intent = new Intent(getBaseContext(), SecondActivity.class);
        intent.putExtra(NAME, name);
        startActivityForResult(intent, REQUEST_CODE);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (resultCode == RESULT_OK) {
            if (requestCode == REQUEST_CODE) {
                String info = data.getStringExtra(SecondActivity.MORE_INFO);
                TextView textViewResult = (TextView)findViewById(R.id.textViewResult);
                textViewResult.setText(info);
            }
        }
    }
}
