package com.example.andersb.intentswithdata;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import com.example.andersb.intentswithdata.R;

public class SecondActivity extends Activity {

    public static final String MORE_INFO = "MORE_INFO";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);
        TextView textViewHello = (TextView)findViewById(R.id.textViewHello);
        Intent data = getIntent();
        String name = data.getStringExtra(FirstActivity.NAME);
        textViewHello.setText("Hello " + name);

    }

    public void backButtonClicked(View view) {
        EditText editTextInfo = (EditText)findViewById(R.id.editTextMoreInfo);
        String moreInfo = editTextInfo.getText().toString();
        Intent data = new Intent();
        data.putExtra(MORE_INFO, moreInfo);
        setResult(RESULT_OK, data);
        finish();
    }
}
